<?php
/**
 * @package adema_it_wp
 * @version 4.3.0
 */
/*
Plugin Name: adema: it - extra opties voor Wordpress
Plugin URI: https://www.adema-it.nl/ait-wp/
Description: Extra functies voor Wordpress: Openingstijden, Header/Footer scripts toevoegen, directadmin koppeling, aanpassen van login-pagina, cookiemelding en nog veel meer!
Author: adema: it
Version: 4.3.0
Author URI: https://www.adema-it.nl/
*/

// controleren of dit bestand vanaf de admin wordt aangeroepen
if ( ! defined( 'WPINC' ) ) {
	die;
}
// Basiscode Plugin, admin menu, register settings etc.
class AITWP {
	public function __construct() {
    $this->plugin               = new stdClass;
    $this->plugin->name         = 'ait-wp'; 
    $this->plugin->displayName  = 'adema: it';
    $this->plugin->version      = '4.3.0';
    $this->plugin->folder       = plugin_dir_path( __FILE__ );
    $this->plugin->url          = plugin_dir_url( __FILE__ );
    $this->plugin->db_welcome_dismissed_key = $this->plugin->name . '_welcome_dismissed_key';
    $this->body_open_supported	= function_exists( 'wp_body_open' ) && version_compare( get_bloginfo( 'version' ), '5.2' , '>=' );

	add_action( 'admin_init', array( &$this, 'registerSettings' ) );
	add_action( 'admin_menu', array( &$this, 'adminPanelsAndMetaBoxes' ) );
    add_action( 'admin_notices', array( &$this, 'dashboardNotices' ) );
    add_action( 'wp_ajax_' . $this->plugin->name . '_dismiss_dashboard_notices', array( &$this, 'dismissDashboardNotices' ) );
	add_action( 'wp_head', array( &$this, 'frontendHeader' ) );
	add_action( 'wp_footer', array( &$this, 'frontendFooter' ) );
		if ( $this->body_open_supported ) {
			add_action( 'wp_body_open', array( &$this, 'frontendBody' ), 1 );
		}
	}
    function dashboardNotices() {
        global $pagenow;

        if ( !get_option( $this->plugin->db_welcome_dismissed_key ) ) {
        	if ( ! ( $pagenow == 'admin.php' && isset( $_GET['page'] ) && $_GET['page'] == 'ait-wp' ) ) {
	            $setting_page = admin_url( 'admin.php?page=' . $this->plugin->name . '&tab=default');
                include_once( $this->plugin->folder . '/includes/notificaties.php' );
        	}
        }
    }
    function dismissDashboardNotices() {
    	check_ajax_referer( $this->plugin->name . '-nonce', 'nonce' );
        update_option( $this->plugin->db_welcome_dismissed_key, 1 );
        exit;
    }
	function registerSettings() {
		add_option('ait_wp_yt_video', 'M7W2I9FGF9U');
		add_option('ait_wp_yt_hoogte', '500px');
		add_option('ait_wp_yt_breedte', '100%');
		
		add_option('ait_wp_gmaps_default', '');
		add_option('ait_wp_gmaps_zoom', '12');
		add_option('ait_wp_gmaps_hoogte', '500px');
		add_option('ait_wp_gmaps_breedte', '100%');

		add_option('ait_wp_insert_header', '' );
		add_option('ait_wp_insert_footer', '' );
		add_option('ait_wp_insert_body', '' );

		add_option('ait_wp_hosting_server', '' );
		add_option('ait_wp_hosting_poort', '2222' );
		add_option('ait_wp_gebruikersnaam', '' );
		add_option('ait_wp_wachtwoord', '' );

		add_option('ait_wp_captchasitekey', '' );
		add_option('ait_wp_captchasecretkey', '' );
		add_option('ait_wp_aitform_afzender_email', '' );
		add_option('ait_wp_aitform_afzender_naam', '' );
		add_option('ait_wp_aitform_afzender_onderwerp', '' );
		add_option('ait_wp_aitform_naar_email', '' );
		
		add_option('ait_wp_otijd_ma_open', '');
		add_option('ait_wp_otijd_ma_dicht', '');
		add_option('ait_wp_otijd_di_open', '');
		add_option('ait_wp_otijd_di_dicht', '');
		add_option('ait_wp_otijd_wo_open', '');
		add_option('ait_wp_otijd_wo_dicht', '');
		add_option('ait_wp_otijd_do_open', '');
		add_option('ait_wp_otijd_do_dicht', '');
		add_option('ait_wp_otijd_vr_open', '');
		add_option('ait_wp_otijd_vr_dicht', '');
		add_option('ait_wp_otijd_za_open', '');
		add_option('ait_wp_otijd_za_dicht', '');
		add_option('ait_wp_otijd_zo_open', '' );
		add_option('ait_wp_otijd_zo_dicht', '' );
		add_option('ait_wp_otijd_ma_note', '' );
		add_option('ait_wp_otijd_di_note', '' );
		add_option('ait_wp_otijd_wo_note', '' );
		add_option('ait_wp_otijd_do_note', '' );
		add_option('ait_wp_otijd_vr_note', '' );
		add_option('ait_wp_otijd_za_note', '' );
		add_option('ait_wp_otijd_zo_note', '' );
		
		add_option('ait_wp_otijd_opentext', 'We zijn vandaag geopend tot: ');
		add_option('ait_wp_otijd_dichttext', 'Op dit moment zijn we gesloten. ');
		add_option('ait_wp_otijd_pre_text', 'Morgen om ');
		add_option('ait_wp_otijd_koppel_text', ' zijn we weer geopend.');
		add_option('ait_wp_otijd_open_text', ' Vandaag om ');
		add_option('ait_wp_otijd_gesloten_text', ' staan we weer voor u klaar');
		add_option('ait_wp_otijd_opendicht_open', ' We zijn geopend! Kom gerust even langs.');
		add_option('ait_wp_otijd_opendicht_dicht', ' Helaas, we zijn op dit moment gesloten.');
		add_option('ait_wp_eigentijd', 'Bijzondere openingstijden: <br> Kerst: gesloten.');
				
		add_option('ait_wp_promobar_bgcolor', '#666666');
		add_option('ait_wp_promobar_textcolor', '#FFFFFF');
		add_option('ait_wp_promobar_height', '48');
		add_option('ait_wp_promobar_content', 'Hier uw eigen content');

		add_option('ait_wp_custom_login_taal', 'yes');
		add_option('ait_wp_custom_login_primair', '#dd9933');
		add_option('ait_wp_custom_login_secundair', '#ffffff');

		add_option('ait_wp_onderhoud_pagina', '');
		add_option('ait_wp_onderhoud_sw', 'no');
		add_option('ait_wp_onderhoud_eigen', 'no');
		add_option('ait_wp_onderhoud_title', 'Onderhoudsmodus');
		add_option('ait_wp_onderhoud_text', 'De website is op dit moment in onderhoud, kom op een later tijdstip nog eens terug.');

		add_option('ait_wp_woocomm_buttontextsw', 'no');
		add_option('ait_wp_woocomm_buttontext', '' );
		add_option('ait_wp_woocomm_hideweight', 'no');
		add_option('ait_wp_woocomm_newtitle', 'winkel');
		add_option('ait_wp_woocomm_badges_sw', 'no');
		$default_array = array(
			'uncategorised' => 'Geen Categorie'
		);
		$serialized_array = serialize($default_array);
		add_option('ait_wp_woocomm_badges', $serialized_array);
		add_option('ait_wp_woocomm_badges_bgcolor', '#434343');
		add_option('ait_wp_woocomm_badges_txtcolor', '#FFFFFF');

		// functies aan/uit
		add_option('ait_wp_disablexml', 'no');
		add_option('ait_wp_hosting_koppeling', 'no');
		add_option('ait_wp_cookiebar', 'no');
		add_option('ait_wp_promobar_enabled', 'no');
		add_option('ait_wp_openinghours', 'no');
		add_option('ait_wp_custom_login_logo', 'no');
		add_option('ait_wp_contactform', 'no');
		add_option('ait_wp_woocomm', 'no');
		add_option('ait_wp_emoji', 'no');
		add_option('ait_wp_woocomm_changetitle', 'no');
		add_option('ait_wp_elementor_dividers', 'no');
		add_option('ait_wp_woocomm_verify_email', 'no');
		add_option('ait_wp_woocomm_scanner', 'no');
		add_option('ait_wp_woocomm_cat_images', 'no');

		add_option('ait_wp_cookiebar_buttontext', 'Akkoord!');
		add_option('ait_wp_cookiebar_buttextcolor', '#434343');
		add_option('ait_wp_cookiebar_butbackgroundcolor', '#efefef');
		add_option('ait_wp_cookiebar_textcolor', '#ffffff');
		add_option('ait_wp_cookiebar_backgroundcolor', '#dd9933');
		add_option('ait_wp_cookiebar_bordercolor', '#dd1133');
		add_option('ait_wp_cookiebar_linkpage', 'https://mijnsite.nl/cookies.php');
		add_option('ait_wp_cookiebar_linktext', 'Meer informatie');
		add_option('ait_wp_cookiebar_linktarget', '_blank');
		add_option('ait_wp_cookiebar_content', 'Wij gebruiken cookies voor het optimaal functioneren van onze website.');
		add_option('ait_wp_cookiebar_time', '90');
		add_option('ait_wp_cookiebar_name', 'cookie');
		add_option('ait_wp_cookiebar_stijl', '1');
	}
function adminPanelsAndMetaBoxes() {
    	add_menu_page( $this->plugin->displayName, $this->plugin->displayName, 'manage_options', $this->plugin->name, array( &$this, 'adminPanel' ), 'dashicons-plus', '2' );
	}
    function adminPanel() {
		if ( !current_user_can( 'administrator' ) ) {
			echo '<p>' . __( 'Sorry, je hebt geen toegang om deze pagina te bekijken.', 'ait-wp' ) . '</p>';
			return;
		}
		$this->settings = array(
			'ait_wp_yt_video' => esc_html( wp_unslash( get_option( 'ait_wp_yt_video' ) ) ),
			'ait_wp_yt_hoogte' => esc_html( wp_unslash( get_option( 'ait_wp_yt_hoogte' ) ) ),
			'ait_wp_yt_breedte' => esc_html( wp_unslash( get_option( 'ait_wp_yt_breedte' ) ) ),
			
			'ait_wp_gmaps_default' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_default' ) ) ),
			'ait_wp_gmaps_zoom' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_zoom' ) ) ),
			'ait_wp_gmaps_hoogte' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_hoogte' ) ) ),
			'ait_wp_gmaps_breedte' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_breedte' ) ) ),

			'ait_wp_insert_header' => esc_html( wp_unslash( get_option( 'ait_wp_insert_header' ) ) ),
			'ait_wp_insert_footer' => esc_html( wp_unslash( get_option( 'ait_wp_insert_footer' ) ) ),
			'ait_wp_insert_body' => esc_html( wp_unslash( get_option( 'ait_wp_insert_body' ) ) ),

			'ait_wp_hosting_server' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_server' ) ) ),
			'ait_wp_gebruikersnaam' => esc_html( wp_unslash( get_option( 'ait_wp_gebruikersnaam' ) ) ),
			'ait_wp_wachtwoord' => esc_html( wp_unslash( get_option( 'ait_wp_wachtwoord' ) ) ),
			'ait_wp_hosting_poort' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_poort' ) ) ),

			'ait_wp_captchasitekey' => esc_html( wp_unslash( get_option( 'ait_wp_captchasitekey' ) ) ),
			'ait_wp_captchasecretkey' => esc_html( wp_unslash( get_option( 'ait_wp_captchasecretkey' ) ) ),
			'ait_wp_aitform_afzender_email' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_afzender_email' ) ) ),
			'ait_wp_aitform_afzender_naam' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_afzender_naam' ) ) ),
			'ait_wp_aitform_afzender_onderwerp' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_afzender_onderwerp' ) ) ),
			'ait_wp_aitform_naar_email' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_naar_email' ) ) ),
			
			'ait_wp_otijd_ma_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_ma_open' ) ) ),
			'ait_wp_otijd_ma_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_ma_dicht' ) ) ),
			'ait_wp_otijd_di_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_di_open' ) ) ),
			'ait_wp_otijd_di_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_di_dicht' ) ) ),
			'ait_wp_otijd_wo_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_wo_open' ) ) ),
			'ait_wp_otijd_wo_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_wo_dicht' ) ) ),
			'ait_wp_otijd_do_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_do_open' ) ) ),
			'ait_wp_otijd_do_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_do_dicht' ) ) ),
			'ait_wp_otijd_vr_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_vr_open' ) ) ),
			'ait_wp_otijd_vr_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_vr_dicht' ) ) ),
			'ait_wp_otijd_za_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_za_open' ) ) ),
			'ait_wp_otijd_za_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_za_dicht' ) ) ),
			'ait_wp_otijd_zo_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_zo_open' ) ) ),
			'ait_wp_otijd_zo_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_zo_dicht' ) ) ),
			'ait_wp_otijd_ma_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_ma_note' ) ) ),
			'ait_wp_otijd_di_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_di_note' ) ) ),
			'ait_wp_otijd_wo_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_wo_note' ) ) ),
			'ait_wp_otijd_do_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_do_note' ) ) ),
			'ait_wp_otijd_vr_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_vr_note' ) ) ),
			'ait_wp_otijd_za_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_za_note' ) ) ),
			'ait_wp_otijd_zo_note' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_zo_note' ) ) ),
			
			'ait_wp_otijd_opentext' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_opentext' ) ) ),
			'ait_wp_otijd_dichttext' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_dichttext' ) ) ),
			'ait_wp_otijd_pre_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_pre_text' ) ) ),
			'ait_wp_otijd_koppel_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_koppel_text' ) ) ),
			'ait_wp_otijd_open_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_open_text' ) ) ),
			'ait_wp_otijd_gesloten_text' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_gesloten_text' ) ) ),
			'ait_wp_otijd_opendicht_open' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_opendicht_open' ) ) ),
			'ait_wp_otijd_opendicht_dicht' => esc_html( wp_unslash( get_option( 'ait_wp_otijd_opendicht_dicht' ) ) ),
			'ait_wp_eigentijd' => esc_html( wp_unslash( get_option( 'ait_wp_eigentijd' ) ) ),

			'ait_wp_promobar_bgcolor' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_bgcolor' ) ) ),
			'ait_wp_promobar_textcolor' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_textcolor' ) ) ),
			'ait_wp_promobar_height' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_height' ) ) ),
			'ait_wp_promobar_content' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_content' ) ) ),

			'ait_wp_custom_login_taal' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_taal' ) ) ),
			'ait_wp_custom_login_primair' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_primair' ) ) ),
			'ait_wp_custom_login_secundair' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_secundair' ) ) ),

			'ait_wp_onderhoud_sw' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_sw' ) ) ),
			'ait_wp_onderhoud_pagina' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_pagina' ) ) ),
			'ait_wp_onderhoud_eigen' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_eigen' ) ) ),
			'ait_wp_onderhoud_title' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_title' ) ) ),
			'ait_wp_onderhoud_text' => esc_html( wp_unslash( get_option( 'ait_wp_onderhoud_text' ) ) ),
			
			'ait_wp_woocomm_buttontextsw' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_buttontextsw' ) ) ),
			'ait_wp_woocomm_buttontext' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_buttontext' ) ) ),
			'ait_wp_woocomm_hideweight' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_hideweight' ) ) ),
			'ait_wp_woocomm_newtitle' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_newtitle' ) ) ),
			'ait_wp_woocomm_badges_sw' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_badges_sw' ) ) ),
			'ait_wp_woocomm_badges_bgcolor' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_badges_bgcolor' ) ) ),
			'ait_wp_woocomm_badges_txtcolor' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_badges_txtcolor' ) ) ),

			// functies aan/uit
			'ait_wp_disablexml' => esc_html( wp_unslash( get_option( 'ait_wp_disablexml' ) ) ),
			'ait_wp_hosting_koppeling' => esc_html( wp_unslash( get_option( 'ait_wp_hosting_koppeling' ) ) ),
			'ait_wp_cookiebar' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar' ) ) ),
			'ait_wp_promobar_enabled' => esc_html( wp_unslash( get_option( 'ait_wp_promobar_enabled' ) ) ),
			'ait_wp_openinghours' => esc_html( wp_unslash( get_option( 'ait_wp_openinghours' ) ) ),
			'ait_wp_custom_login_logo' => esc_html( wp_unslash( get_option( 'ait_wp_custom_login_logo' ) ) ),
			'ait_wp_contactform' => esc_html( wp_unslash( get_option( 'ait_wp_contactform' ) ) ),
			'ait_wp_woocomm' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm' ) ) ),
			'ait_wp_emoji' => esc_html( wp_unslash( get_option( 'ait_wp_emoji' ) ) ),
			'ait_wp_woocomm_changetitle' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_changetitle' ) ) ),
			'ait_wp_elementor_dividers' => esc_html( wp_unslash( get_option( 'ait_wp_elementor_dividers' ) ) ),
			'ait_wp_woocomm_verify_email' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_verify_email' ) ) ),
			'ait_wp_woocomm_scanner' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_scanner' ) ) ),
			'ait_wp_woocomm_cat_images' => esc_html( wp_unslash( get_option( 'ait_wp_woocomm_cat_images' ) ) ),

			'ait_wp_cookiebar_buttontext' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_buttontext' ) ) ),
			'ait_wp_cookiebar_buttextcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_buttextcolor' ) ) ),
			'ait_wp_cookiebar_butbackgroundcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_butbackgroundcolor' ) ) ),
			'ait_wp_cookiebar_textcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_textcolor' ) ) ),
			'ait_wp_cookiebar_backgroundcolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_backgroundcolor' ) ) ),
			'ait_wp_cookiebar_bordercolor' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_bordercolor' ) ) ),
			'ait_wp_cookiebar_linkpage' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_linkpage' ) ) ),
			'ait_wp_cookiebar_linktext' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_linktext' ) ) ),
			'ait_wp_cookiebar_time' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_time' ) ) ),
			'ait_wp_cookiebar_name' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_name' ) ) ),
			'ait_wp_cookiebar_linktarget' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_linktarget' ) ) ),
			'ait_wp_cookiebar_content' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_content' ) ) ),
			'ait_wp_cookiebar_stijl' => esc_html( wp_unslash( get_option( 'ait_wp_cookiebar_stijl' ) ) ),
        );

    include_once( $this->plugin->folder . '/includes/settings.php' );
	}
	function frontendHeader() {
		$this->output( 'ait_wp_insert_header' );
	}
	function frontendFooter() {
		$this->output( 'ait_wp_insert_footer' );
	}
	function frontendBody() {
		$this->output( 'ait_wp_insert_body' );
	}
	function output( $setting ) {
		if ( is_admin() || is_feed() || is_robots() || is_trackback() ) {
			return;
		}
		if ( apply_filters( 'disable_ait_wp', false ) ) {
			return;
		}
		if ( 'ait_wp_insert_footer' == $setting && apply_filters( 'disable_ait_wp_footer', false ) ) {
			return;
		}
		if ( 'ait_wp_insert_header' == $setting && apply_filters( 'disable_ait_wp_header', false ) ) {
			return;
		}
		if ( 'ait_wp_insert_body' == $setting && apply_filters( 'disable_ait_wp_body', false ) ) {
			return;
		}
		$meta = get_option( $setting );
		if ( empty( $meta ) ) {
			return;
		}
		if ( trim( $meta ) == '' ) {
			return;
		}
		echo wp_unslash( $meta );
	}
}



// Scanner toevoegen aan WooCommerce
$active_plugins = get_option('active_plugins');
if (in_array('ean-for-woocommerce/ean-for-woocommerce.php', $active_plugins) && get_option('ait_wp_woocomm_scanner') == 'yes') {
	// Camera toevoegen aan productoverzicht
	function custom_product_search_button() {
		global $typenow;
		if ($typenow == 'product') {
			echo '
			<style type="text/css">
			@media only screen and (max-width: 400px) {
				.camframe {
					display: none;
					background-color: #efefef;
					width: 100%;
					height: 100%;
					position: fixed;
					padding: 10px;
					left:0;
					top:0;
					z-index:950;
					box-sizing: border-box;
				}
			}
			@media only screen and (min-width: 401px) {
				.camframe {
					display: none;
					background-color: #efefef;
					width: 100%;
					height: 100%;
					max-width: 400px;
					max-height: 300px;
					position: fixed;
					padding: 10px;
					left:50%;
					bottom:50%;
					margin-left:-200px;
					margin-bottom:-150px;
					z-index:950;
					box-sizing: border-box;
				}
			}
			</style>
			<script type="text/javascript">
			function showDiv() {
			document.getElementById("inviswrap").style.display = "table-cell";
			}	
			function hideDiv() {
			document.getElementById("inviswrap").style.display = "none";
			}	
			</script>
			<script type="text/javascript" src="https://unpkg.com/@zxing/library@latest/umd/index.min.js"></script>
			<div class="camframe" id="inviswrap">
			<div id="vidwrap" style="display:none;">
			<video id="video" width="100%" height="auto" style="border: 1px solid gray; background-color:#efefef;"></video>
			<div id="resetButton" class="button" onclick="hideDiv()" style="cursor:pointer;">ANNULEREN</div>
			</div>
			</div>
			<script type="text/javascript">
			window.addEventListener("load", function () {
				let selectedDeviceId;
				const codeReader = new ZXing.BrowserMultiFormatReader();
				console.log("ZXing code reader initialized");
				function startEnvironmentCamera() {
				codeReader.decodeFromVideoDevice(undefined, "video", (result, err) => {
					if (result) {
					console.log(result);
					document.getElementById("post-search-input").value = result.text;
					const form = document.getElementById("posts-filter");
					if (form) {
						form.submit();
					}
					}
					if (err && !(err instanceof ZXing.NotFoundException)) {
					console.error(err);
					document.getElementById("result").textContent = err;
					}
				});
				console.log("Started continuous decode from environment camera.");
				document.getElementById("vidwrap").style.display = "block";
				}
				document.getElementById("startButton").addEventListener("click", function () {
				startEnvironmentCamera();
				});
				document.getElementById("resetButton").addEventListener("click", () => {
					codeReader.reset()
					document.getElementById("vidwrap").style.display = "none";
					console.log("Reset.")
				})
			});
			</script>
			<div id="startButton" class="button" onclick="showDiv();" style="cursor:pointer; background-color:#2271b1; color:#ffffff;"><i class="fa-solid fa-barcode"></i> SCAN</div>';
		}
	}
	add_action('manage_posts_extra_tablenav', 'custom_product_search_button');

	// Camera Toevoegen aan Bewerk Product pagina.
	function custom_code_on_product_edit() {
		global $typenow;
		if ($typenow == 'product') {
			echo '
			<style type="text/css">
			@media only screen and (max-width: 400px) {
				.camframe {
					display: none;
					background-color: #efefef;
					width: 100%;
					height: 100%;
					position: fixed;
					padding: 10px;
					left:0;
					top:0;
					z-index:950;
					box-sizing: border-box;
				}
			}
			@media only screen and (min-width: 401px) {
				.camframe {
					display: none;
					background-color: #efefef;
					width: 100%;
					height: 100%;
					max-width: 400px;
					max-height: 300px;
					position: fixed;
					padding: 10px;
					left:50%;
					bottom:50%;
					margin-left:-200px;
					margin-bottom:-150px;
					z-index:950;
					box-sizing: border-box;
				}
			}
			</style>
			<script type="text/javascript">
			function showDiv() {
			document.getElementById("inviswrap").style.display = "table-cell";
			}	
			function hideDiv() {
			document.getElementById("inviswrap").style.display = "none";
			}	
			</script>
			<script type="text/javascript" src="https://unpkg.com/@zxing/library@latest/umd/index.min.js"></script>
			<div class="camframe" id="inviswrap">
			<div id="vidwrap" style="display:none;">
			<video id="video" width="100%" height="auto" style="border: 1px solid gray; background-color:#efefef;"></video>
			<div id="resetButton" class="button" onclick="hideDiv()" style="cursor:pointer;">ANNULEREN</div>
			</div>
			</div>
			<script type="text/javascript">
			window.addEventListener("load", function () {
				let selectedDeviceId;
				const codeReader = new ZXing.BrowserMultiFormatReader();
				console.log("ZXing code reader initialized");
				function startEnvironmentCamera() {
				codeReader.decodeFromVideoDevice(undefined, "video", (result, err) => {
					if (result) {
					console.log(result);
					document.getElementById("_alg_ean").value = result.text;
					const form = document.getElementById("post");
					if (form) {
						form.submit();
					}
					}
					if (err && !(err instanceof ZXing.NotFoundException)) {
					console.error(err);
					document.getElementById("result").textContent = err;
					}
				});
				console.log("Started continuous decode from environment camera.");
				document.getElementById("vidwrap").style.display = "block";
				}
				document.getElementById("startButton").addEventListener("click", function () {
				startEnvironmentCamera();
				});
				document.getElementById("resetButton").addEventListener("click", () => {
					codeReader.reset()
					document.getElementById("vidwrap").style.display = "none";
					console.log("Reset.")
				})
			});
			</script>
			<div id="startButton" class="button" onclick="showDiv();" style="cursor:pointer; background-color:#2271b1; color:#ffffff;"><i class="fa-solid fa-barcode"></i> SCAN</div>';
		}
	}
	add_action('edit_form_after_title', 'custom_code_on_product_edit');
} 



// Onderhoudspagina
if (get_option('ait_wp_onderhoud_sw') == 'yes') {
	if (get_option('ait_wp_onderhoud_eigen') == 'yes') {
		function schakel_onderhoudsmodus_in() {
			if ( ! current_user_can( 'manage_options' ) ) {
			}
		}
		add_action( 'get_header', 'schakel_onderhoudsmodus_in' );
		function koppel_onderhoudspagina() {
			$pagiena = get_option('ait_wp_onderhoud_pagina');
			if ( ! is_user_logged_in() && ! is_page( $pagiena ) ) {
				wp_redirect( home_url( $pagiena ) );
				exit;
			}
		}
		add_action( 'template_redirect', 'koppel_onderhoudspagina' );
	} else {
		function schakel_onderhoudsmodus_in() {
			if ( ! current_user_can( 'manage_options' ) ) {
				$logo_relative_url1 = 'res/exclamation-mark.png';
				$logo_url1 = plugins_url($logo_relative_url1, __FILE__);	
				$titel = get_option('ait_wp_onderhoud_title');
				$tekst = get_option('ait_wp_onderhoud_text');
				die( '
				<style type="text/css">
					body {
						margin: 0px;
					}
					h2 {
						font-size: 36px;
						color: #434343;
						font-weight: bold;
					}
					.table {
						background-color: transparent;
						background-image: linear-gradient(180deg, #DADADA 0%, #BDBDBD 100%);
						text-align: center;
					}
					.text {
						font-size: 18px;
						color: #434343;
					}
				</style>
				<table class="table" valign="middle" width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
				<tr><td>
					<img src='.$logo_url1.' height="75" width="75"><br>
					<h2>'.$titel.'</h2>
					<p class="text">'.$tekst.'</p>
				</td></tr></table>
				');
			}
		}
		add_action( 'get_header', 'schakel_onderhoudsmodus_in' );
	}
	// Melding toevoegen aan admin balk
	function custom_admin_toolbar_link() {
		$plugin_page_url = admin_url('admin.php?page=ait-wp');
		global $wp_admin_bar;
		$args = array(
			'id'    => 'custom_admin_link',
			'title' => 'ONDERHOUDSMODUS AAN',
			'href'  => $plugin_page_url,
			'meta'  => array( 'class' => 'custom-admin-link' )
		);
		$wp_admin_bar->add_node( $args );
	}
	// Voeg CSS-stijlen toe voor de admin balk
	function custom_admin_toolbar_link_css() {
		echo '<style>
			#wp-admin-bar-custom_admin_link {
				background-color: #a11919 !important;
			}
			#wp-admin-bar-custom_admin_link .ab-item {
				color: #ffffff !important;
			}
		</style>';
	}
	add_action( 'admin_head', 'custom_admin_toolbar_link_css' );
	add_action( 'admin_bar_menu', 'custom_admin_toolbar_link', 999 );
	// Login pagina aanpassen.
	function wpb_login_logo() { 
		$logo_relative_url = 'res/onderhoud-login.png';
		$logo_url = plugins_url($logo_relative_url, __FILE__);
		echo '<style type="text/css">
			#login h1 a, .login h1 a {
				background-image: url(' . $logo_url . ');
				width: 90%;
				background-repeat: no-repeat;
				max-width: 280px;
				max-height: 80px;
				background-size: contain;
			}
			#login-message {
				border-left: 4px solid #a11919;
			}
			#user_login:focus {
				border: 1px solid #a11919;
			}
			#user_pass:focus {
				border: 1px solid #a11919;
			}
			#loginform {
				padding: 26px 24px 34px;
				font-weight: 400;
				overflow: hidden;
				background: #fff;
				border: 1px solid #a11919;
				border-radius: 0px;
				box-shadow: 0 1px 3px rgba(0,0,0,.04);
			}
			#wp-submit {
				background-color: #a11919;
				color: #ffffff;
				border: none;
			}
		</style>';
	}
	add_action( 'login_enqueue_scripts', 'wpb_login_logo' );
}



// Elementor Vormscheiding
if (get_option('ait_wp_elementor_dividers') == 'yes') {
	$GLOBALS['ait_custom_dividers'] = [
		'ait-brush-001' => [
			'title' => _x( 'A-IT Borstel 1', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/brushes/ait-brush-001.svg',
		],
		'ait-brush-002' => [
			'title' => _x( 'A-IT Borstel 2', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/brushes/ait-brush-002.svg',
		],
		'ait-ink-stripe-001' => [
			'title' => _x( 'A-IT Inkt Streep', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/brushes/ait-ink-stripe-001.svg',
		],
		'ait-splatter-paint-001' => [
			'title' => _x( 'A-IT Verfspetters', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/brushes/ait-splatter-paint-001.svg',
		],
		'ait-splatter-paint-002' => [
			'title' => _x( 'A-IT Verfspetters 2', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/brushes/ait-splatter-paint-002.svg',
		],
		'ait-melting-lines-001' => [
			'title' => _x( 'A-IT Smeltende Lijnen', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => false,
			'file' => '/res/dividers/geometric/ait-melting-lines-001c.svg',
		],
		'ait-grass-001' => [
			'title' => _x( 'A-IT Gras', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => false,
			'file' => '/res/dividers/misc/ait-grass-001.svg',
		],
		'ait-halftone-001' => [
			'title' => _x( 'A-IT Halftoon', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/geometric/ait-halftone-001.svg',
		],
		'ait-geometric-001' => [
			'title' => _x( 'A-IT Geometric Pijlen 1', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/geometric/ait-geometric-001.svg',
		],
		'ait-geometric-002' => [
			'title' => _x( 'A-IT Geometrische Polygonen', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/geometric/ait-geometric-002.svg',
		],
		'ait-cardboard-001' => [
			'title' => _x( 'A-IT Karton', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/paper/ait-cardboard-001.svg',
		],
		'ait-papertear-001' => [
			'title' => _x( 'A-IT Gescheurd Papier 1', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/paper/ait-papertear-001.svg',
		],
		'ait-papertear-002' => [
			'title' => _x( 'A-IT Gescheurd Papier 2', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/paper/ait-papertear-002.svg',
		],
		'ait-papertear-003' => [
			'title' => _x( 'A-IT Gescheurd Papier 3', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/paper/ait-papertear-003.svg',
		],
		'ait-tape-measure-001' => [
			'title' => _x( 'A-IT Rolmaat', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => false,
			'height_only' => true,
			'file' => '/res/dividers/misc/ait-tape-measure-001.svg',
		],
		'ait-wood-001' => [
			'title' => _x( 'A-IT Hout 1', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/wood/ait-wood-001.svg',
		],
		'ait-wood-002' => [
			'title' => _x( 'A-IT Hout 2', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/wood/ait-wood-002.svg',
		],
		'ait-tire-tread-001' => [
			'title' => _x( 'A-IT Bandenspoor', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/misc/ait-tire-tread-001.svg',
		],
		'ait-offroad-tread-001' => [
			'title' => _x( 'A-IT Offroad Bandenspoor', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => true,
			'file' => '/res/dividers/misc/ait-offroad-tread-001.svg',
		],
		'ait-holiday-lights-001' => [
			'title' => _x( 'A-IT Kerstverlichting', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => false,
			'file' => '/res/dividers/misc/ait-holiday-lights-001.svg',
		],
		'ait-sprinkles-001' => [
			'title' => _x( 'A-IT Sprinkels', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => false,
			'file' => '/res/dividers/misc/ait-sprinkles-001.svg',
		],
		'ait-jagged-edge-001' => [
			'title' => _x( 'A-IT Kapotte Rand', 'Shapes', 'elementor' ),
			'has_negative' => false,
			'has_flip' => true,
			'height_only' => false,
			'file' => '/res/dividers/misc/ait-jagged-edge-001.svg',
		],
	];
	add_filter( 'elementor/shapes/additional_shapes', function( $additional_shapes ) {
		foreach($GLOBALS['ait_custom_dividers'] as $k => $v){
			$additional_shapes[$k] = [
				'title' => $v['title'],
				'has_negative' => $v['has_negative'],
				'has_flip' => $v['has_flip'],
				'height_only' => $v['height_only'],
				'url' => plugin_dir_url(__FILE__) . $v['file'],
				'path' => plugin_dir_path(__FILE__) . $v['file'],
			];
		}
		return $additional_shapes;
	});
}



// Categorie Afbeeldingen Woocommerce op basis van productafbeeldingen.
if ((get_option('ait_wp_woocomm_cat_images') == 'yes') && (get_option('ait_wp_woocomm') == 'yes')) {
	new ReplaceCategoryImages();
}
// e-mail verificatie woocommerce
if ((get_option('ait_wp_woocomm_verify_email') == 'yes') && (get_option('ait_wp_woocomm') == 'yes')) {
	function ait_wp_email_verificatie( $fields ) {
		$fields['billing']['billing_email']['class'] = array( 'form-row-first' );
		$fields['billing']['billing_em_ver'] = array(
		'label' => 'Herhaal E-mailadres',
		'required' => true,
		'class' => array( 'form-row-last' ),
		'clear' => true,
		'priority' => 999,
		);
		return $fields;
	}  
	add_filter( 'woocommerce_checkout_fields' , 'ait_wp_email_verificatie' );
	function ait_wp_email_verificatie_check() { 
		$email1 = $_POST['billing_email'];
		$email2 = $_POST['billing_em_ver'];
		if ( $email2 !== $email1 ) {
			wc_add_notice( 'De ingevoerde e-mailadressen komen niet overeen.', 'error' );
		}
	}
	add_action( 'woocommerce_checkout_process', 'ait_wp_email_verificatie_check' );
}
// Aangepaste naar winkelmand tekst voor woocommerce
if ((get_option('ait_wp_woocomm_buttontextsw') == 'yes') && (get_option('ait_wp_woocomm') == 'yes')) {
	function wijzig_winkelmand_tekst( $tekst ) {
		$tekst = get_option('ait_wp_woocomm_buttontext');
		return $tekst;
	}
	add_filter( 'woocommerce_product_single_add_to_cart_text', 'wijzig_winkelmand_tekst' );
	add_filter( 'woocommerce_product_add_to_cart_text', 'wijzig_winkelmand_tekst' );
}
// Gewicht verbergen in eigenschappen tab
if ((get_option('ait_wp_woocomm_hideweight') == 'yes') && (get_option('ait_wp_woocomm') == 'yes')) {
	add_filter( 'wc_product_enable_dimensions_display', '__return_false' );
}
// Shop titel aanpassen
if ((get_option('ait_wp_woocomm_changetitle') == 'yes') && (get_option('ait_wp_woocomm') == 'yes')) {
	function change_woocommerce_page_title( $page_title ) {
		$titleshop = get_option('ait_wp_woocomm_newtitle');
		if( $page_title == 'Shop' ) {
			return $titleshop;
		}
	}
	add_filter( 'woocommerce_page_title', 'change_woocommerce_page_title', 10, 1 );
}
// Badges toevoegen aan productcategorie
if ((get_option('ait_wp_woocomm_badges_sw') == 'yes') && (get_option('ait_wp_woocomm') == 'yes')) {
	function ait_wp_add_badges() {
		$kleur = get_option('ait_wp_woocomm_badges_txtcolor');
		$achtergrond = get_option('ait_wp_woocomm_badges_bgcolor');
		echo '
		<style type="text/css">
			.ait_woocomm_badge {
				border-bottom-left-radius: 15px;
				text-align: center;
				position: absolute;
				top: 0;
				right: 0;
				padding: 10px;
				background-color: '.$achtergrond.';
				color: '.$kleur.';
			}
		</style>
		';
		$retrieved_array = unserialize(get_option('ait_wp_woocomm_badges'));
		global $product;
		foreach ($retrieved_array as $cat => $badge) {
			if ( has_term ( array($cat), 'product_cat', $product->get_id() ) ) {
				echo '
				<span class="ait_woocomm_badge">'.$badge.'</span>
				';
			}
		}
	}
	add_action( 'woocommerce_after_shop_loop_item_title', 'ait_wp_add_badges', 40 );
}



// Cookiebalk set cookie
if (isset($_POST['acceptcookies'])) {
	function ait_wp_cookies() {
		$cookiename = get_option('ait_wp_cookiebar_name');
		$time2 = get_option('ait_wp_cookiebar_time');
		$time1 = 3600 * 24;
		$time = $time1 * $time2;
		setcookie('ait_wp_cookiebar_'.$cookiename, '1', time()+$time);
	}
	add_action('init', 'ait_wp_cookies');
}



// disable emoticons
if (get_option('ait_wp_emoji') == 'yes') {
	function disable_emojis() {
		remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
		remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
		remove_action( 'wp_print_styles', 'print_emoji_styles' );
		remove_action( 'admin_print_styles', 'print_emoji_styles' );	
		remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
		remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );	
		remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
		add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
		add_filter( 'wp_resource_hints', 'disable_emojis_remove_dns_prefetch', 10, 2 );
	}
	add_action( 'init', 'disable_emojis' );
	function disable_emojis_tinymce( $plugins ) {
		if ( is_array( $plugins ) ) {
			return array_diff( $plugins, array( 'wpemoji' ) );
		}
		return array();
	}
	function disable_emojis_remove_dns_prefetch( $urls, $relation_type ) {
		if ( 'dns-prefetch' == $relation_type ) {
			$emoji_svg_url_bit = 'https://s.w.org/images/core/emoji/';
			foreach ( $urls as $key => $url ) {
				if ( strpos( $url, $emoji_svg_url_bit ) !== false ) {
					unset( $urls[$key] );
				}
			}
		}
		return $urls;
	}
}



//cookiebalk layout 1 en 2
if ((get_option('ait_wp_cookiebar') == 'yes') && (get_option('ait_wp_onderhoud_sw') == 'no')) {
	function ait_wp_cookie_consent() {
		$buttontext = get_option('ait_wp_cookiebar_buttontext');
		$buttextcolor = get_option('ait_wp_cookiebar_buttextcolor');
		$butbackgroundcolor = get_option('ait_wp_cookiebar_butbackgroundcolor');
		$textcolor = get_option('ait_wp_cookiebar_textcolor');
		$backgroundcolor = get_option('ait_wp_cookiebar_backgroundcolor');
		$bordercolor = get_option('ait_wp_cookiebar_bordercolor');
		$linkpage = get_option('ait_wp_cookiebar_linkpage');
		$linktext = get_option('ait_wp_cookiebar_linktext');
		$linktarget = get_option('ait_wp_cookiebar_linktarget');
		$content = get_option('ait_wp_cookiebar_content');
		$cookiename = get_option('ait_wp_cookiebar_name');
		$cookiestijl = get_option('ait_wp_cookiebar_stijl');
		
		if(!isset($_COOKIE['ait_wp_cookiebar_'.$cookiename]) && !isset($_POST['acceptcookies'])) {
			if ($cookiestijl == '1') {
				echo '
				<style type="text/css">
			.ait_wp_cookie_bar_content a:link {
				color: '.$textcolor.';
				text-decoration: none;
			}
			.ait_wp_cookie_bar_content a:visited {
				text-decoration: none;
				color: '.$textcolor.';
			}
			.ait_wp_cookie_bar_content a:hover {
				text-decoration: underline;
				color: '.$textcolor.';
			}
			.ait_wp_cookie_bar_content a:active {
				text-decoration: none;
				color: '.$textcolor.';
			}
			.ait_wp_cookies_button {
				color: '.$buttextcolor.'; 
				background-color: '.$butbackgroundcolor.';
				padding: 10px;
			}
			.ait_wp_cookies_button:hover {
				color: '.$buttextcolor.'; 
				background-color: '.$butbackgroundcolor.';
				padding: 10px;
			}
			.ait_wp_cookies_button:active {
				color: '.$buttextcolor.'; 
				background-color: '.$butbackgroundcolor.';
				padding: 10px;
			}
			@media only screen and (min-width: 500px) {
				.ait_wp_cookie_bar_container {
					display: block;
					z-index: 999;
					position: fixed;
					bottom: 0;
					left: 0;
					background-color: '.$backgroundcolor.';
					text-align: left;
					width: 100%;
					padding: 15px;
					padding-left: 50px;
					padding-right: 50px;
				}
				.ait_wp_cookie_bar_content {
					display: inline-block;
					color: '.$textcolor.'; 
					padding-top: 5px;
				}
				.ait_wp_cookies_butwrap {
					float: right;
				}
			}
			@media only screen and (max-width: 499px) {
				.ait_wp_cookie_bar_container {
					display: block;
					z-index: 999;
					position: fixed;
					bottom: 0;
					left: 0;
					background-color: '.$backgroundcolor.';
					text-align: left;
					width: 100%;
					padding: 15px;
					padding-left: 50px;
					padding-right: 50px;
				}
				.ait_wp_cookie_bar_content {
					display: inline-block;
					color: '.$textcolor.'; 
					padding-top: 5px;
					text-align: center;
				}
				.ait_wp_cookies_butwrap {
					width: 100%;
					text-align: center;
				}
			}
			</style>
				<form method="post">
				<div class=ait_wp_cookie_bar_container>
					<div class="ait_wp_cookie_bar_content">
						'.$content.' <strong><a href="'.$linkpage.'" target="'.$linktarget.'">'.$linktext.'</a></strong>
					</div>
					<div class="ait_wp_cookies_butwrap">
						<input type="submit" name="acceptcookies" class="ait_wp_cookies_button"  style="color: '.$buttextcolor.';background-color: '.$butbackgroundcolor.';padding: 10px;" value="'.$buttontext.'">
					</div>
					</div></form>
				';
			} else if ($cookiestijl == '2') {
				echo '
				<style type="text/css">
				.ait_wp_cookie_bar_content a:link {
					color: '.$textcolor.';
					text-decoration: none;
				}
				.ait_wp_cookie_bar_content a:visited {
					text-decoration: none;
					color: '.$textcolor.';
				}
				.ait_wp_cookie_bar_content a:hover {
					text-decoration: underline;
					color: '.$textcolor.';
				}
				.ait_wp_cookie_bar_content a:active {
					text-decoration: none;
					color: '.$textcolor.';
				}
				.ait_wp_cookie_bar_wrap {
					display: block;
					z-index: 999;
  					position: fixed;
					bottom: 0;
					left: 0;
					width: 100%;
				}
				.ait_wp_cookie_bar_content {
					color: '.$textcolor.'; 
					text-align: center;
				}
				.ait_wp_cookies_button {
					color: '.$buttextcolor.'; 
					background-color: '.$butbackgroundcolor.';
					padding: 10px;
				}
				.ait_wp_cookies_button:hover {
					color: '.$buttextcolor.'; 
					background-color: '.$butbackgroundcolor.';
					padding: 10px;
				}
				.ait_wp_cookies_button:active {
					color: '.$buttextcolor.'; 
					background-color: '.$butbackgroundcolor.';
					padding: 10px;
				}
				@media only screen and (min-width: 500px) {
					.ait_wp_cookie_bar_container {
						display: block;
						float: right;
						background-color: '.$backgroundcolor.';
						border: 1px solid '.$bordercolor.';
						padding: 20px;
						margin: 25px;
						width: 400px;
						text-align: center;
					}
				}
				@media only screen and (max-width: 499px) {
					.ait_wp_cookie_bar_container {
						display: block;
						background-color: '.$backgroundcolor.';
						padding: 20px;
						width: 100%;
						text-align: center;
					}
				}
				</style>
				<form method="post">
				<div class="ait_wp_cookie_bar_wrap">
					<div class=ait_wp_cookie_bar_container>
						<div class="ait_wp_cookie_bar_content">
							'.$content.' <strong><a href="'.$linkpage.'" target="'.$linktarget.'">'.$linktext.'</a></strong>
						</div>
						<input type="submit" name="acceptcookies" class="ait_wp_cookies_button" style="color: '.$buttextcolor.';background-color: '.$butbackgroundcolor.';padding: 10px;" value="'.$buttontext.'">
					</div>
				</div>
				</form>
				';
			}
		}	
	}
	add_action( 'wp_body_open','ait_wp_cookie_consent' );
}



// Eerst volgende openingsdag. [ait_wp_wanneer_open]
if (get_option('ait_wp_openinghours') == 'yes') {
	function getNextOpeningTime() {
		date_default_timezone_set('Europe/Amsterdam');
		$openingHours = [
			'monday'    => [[get_option('ait_wp_otijd_ma_open'), get_option('ait_wp_otijd_ma_dicht')]],
			'tuesday'   => [[get_option('ait_wp_otijd_di_open'), get_option('ait_wp_otijd_di_dicht')]],
			'wednesday' => [[get_option('ait_wp_otijd_wo_open'), get_option('ait_wp_otijd_wo_dicht')]],
			'thursday'  => [[get_option('ait_wp_otijd_do_open'), get_option('ait_wp_otijd_do_dicht')]],
			'friday'    => [[get_option('ait_wp_otijd_vr_open'), get_option('ait_wp_otijd_vr_dicht')]],
			'saturday'  => [[get_option('ait_wp_otijd_za_open'), get_option('ait_wp_otijd_za_dicht')]],
			'sunday'    => [[get_option('ait_wp_otijd_zo_open'), get_option('ait_wp_otijd_zo_dicht')]],
		];
		$daysInDutch = [
			'monday'    => 'maandag',
			'tuesday'   => 'dinsdag',
			'wednesday' => 'woensdag',
			'thursday'  => 'donderdag',
			'friday'    => 'vrijdag',
			'saturday'  => 'zaterdag',
			'sunday'    => 'zondag',
		];
		$now = new DateTime();
		$currentDay = strtolower($now->format('l'));
		$nextDay = $currentDay;
		$openingTimes = $openingHours[$currentDay];
		foreach ($openingTimes as $openingTime) {
			$closingDateTime = new DateTime($openingTime[1]);
		}
		if ($now > $closingDateTime) {
			$openingTimes = '';
		}
		if (empty($openingTimes)) {
			$now->modify('+1 day');
			$nextDay = strtolower($now->format('l'));
			$openingTimes = $openingHours[$nextDay];
		}
		$nextOpeningTime = null;
		$isOpen = false;
		foreach ($openingTimes as $openingTime) {
			$openingDateTime = new DateTime($openingTime[0]);
			$closingDateTime = new DateTime($openingTime[1]);
		
			if ($now >= $openingDateTime && $now < $closingDateTime) {
				$output = get_option('ait_wp_otijd_opentext') . $closingDateTime->format('H:i');
				$isOpen = true;
			} elseif ($now < $openingDateTime) {
				$nextOpeningTime = $openingDateTime;
			}
		}
		if (!$isOpen && $nextOpeningTime !== null) {
			$output =  get_option('ait_wp_otijd_dichttext').get_option('ait_wp_otijd_open_text').$nextOpeningTime->format('H:i').get_option('ait_wp_otijd_koppel_text');
		} else if (!$isOpen) {
			$nextOpeningTimes = $openingHours[$nextDay];
			$nextOpeningTime = new DateTime($nextOpeningTimes[0][0]);
			if ($nextOpeningTime->format('H:i') == $now->format('H:i')) {
				$output =  get_option('ait_wp_otijd_dichttext');
			} else {
				$output =  get_option('ait_wp_otijd_dichttext') . get_option('ait_wp_otijd_pre_text') . $nextOpeningTime->format('H:i') . get_option('ait_wp_otijd_gesloten_text');
			}
		}
		echo $output;
	}
	function ait_wp_nextday_shortcode() {
		ob_start();
		getNextOpeningTime();
		return ob_get_clean();
	}
	add_shortcode("ait_wp_wanneer_open", "ait_wp_nextday_shortcode");
}



// Openingszin op basis van status (open of dicht) [ait_wp_open_dicht]
function ait_wp_openingstijden_custom() {
	date_default_timezone_set("Europe/Amsterdam");
	$day			= date("l");
	$huidigetijd	= time();
	$tijd1			= date('H:i',$huidigetijd);
	$opentext		= get_option('ait_wp_otijd_opendicht_open');
	$dichttext		= get_option('ait_wp_otijd_opendicht_dicht');
	if ($day == "Monday") {
		$tijd2 			= get_option('ait_wp_otijd_ma_dicht');
		$tijd3			= get_option('ait_wp_otijd_ma_open');
		if (strtotime($tijd1) < strtotime($tijd2) && strtotime($tijd1) > strtotime($tijd3)) {
			echo "$opentext";
			} else {
			echo "$dichttext";
		}
	}
	else
	if ($day == "Tuesday") {
		$tijd2 			= get_option('ait_wp_otijd_di_dicht');
		$tijd3			= get_option('ait_wp_otijd_di_open');
		if (strtotime($tijd1) < strtotime($tijd2) && strtotime($tijd1) > strtotime($tijd3)) {
			echo "$opentext";
			} else {
			echo "$dichttext";
		}
	}
	else
	if ($day == "Wednesday") {
		$tijd2 			= get_option('ait_wp_otijd_wo_dicht');
		$tijd3			= get_option('ait_wp_otijd_wo_open');
		if (strtotime($tijd1) < strtotime($tijd2) && strtotime($tijd1) > strtotime($tijd3)) {
			echo "$opentext";
			} else {
			echo "$dichttext";
		}
	}
	else
	if ($day == "Thursday") {
		$tijd2 			= get_option('ait_wp_otijd_do_dicht');
		$tijd3			= get_option('ait_wp_otijd_do_open');
		if (strtotime($tijd1) < strtotime($tijd2) && strtotime($tijd1) > strtotime($tijd3)) {
			echo "$opentext";
			} else {
			echo "$dichttext";
		}
	}
	else
	if ($day == "Friday") {
		$tijd2 			= get_option('ait_wp_otijd_vr_dicht');
		$tijd3			= get_option('ait_wp_otijd_vr_open');
		if (strtotime($tijd1) < strtotime($tijd2) && strtotime($tijd1) > strtotime($tijd3)) {
			echo "$opentext";
			} else {
			echo "$dichttext";
		}
	}
	else
	if ($day == "Saturday") {
		$tijd2 			= get_option('ait_wp_otijd_za_dicht');
		$tijd3			= get_option('ait_wp_otijd_za_open');
		if (strtotime($tijd1) < strtotime($tijd2) && strtotime($tijd1) > strtotime($tijd3)) {
			echo "$opentext";
			} else {
			echo "$dichttext";
		}
	}
	else
	if ($day == "Sunday") {
		$tijd2 			= get_option('ait_wp_otijd_zo_dicht');
		$tijd3			= get_option('ait_wp_otijd_zo_open');
		if (strtotime($tijd1) < strtotime($tijd2) && strtotime($tijd1) > strtotime($tijd3)) {
			echo "$opentext";
			} else {
			echo "$dichttext";
		}
	}
	else {
	echo 'kan de dag niet ophalen';
	}
}
function ait_wp_openingszin_customshort() {
    ob_start();
	ait_wp_openingstijden_custom();
    return ob_get_clean();
}
add_shortcode( 'ait_wp_open_dicht', 'ait_wp_openingszin_customshort' );



// Vrij veld onder openingstijden
function ait_wp_openingstijden_vrijveld() {
	$vrijveld = get_option('ait_wp_eigentijd');
	echo '<div style="width: 100%; display: inline-block;">'.$vrijveld.'</div>';
}

add_shortcode( 'ait_wp_eigentijd', 'ait_wp_openingstijden_vrijveld' );



// Customize login pagina.
if ((get_option('ait_wp_custom_login_logo') == 'yes') && (get_option('ait_wp_onderhoud_sw') == 'no')) {
	function get_customizer_logo_url() {
		// Vraag het huidige logo van de website op.
		$custom_logo_id = get_theme_mod('custom_logo');
		$logo_url = wp_get_attachment_image_url($custom_logo_id, 'full');
		return $logo_url;
	}
	// Website logo in stellen en kleuren aanpassen.
	function wpb_login_logo() { 
		if (get_option('ait_wp_custom_login_logo') == 'yes') {
			$logo_url = get_customizer_logo_url();
			echo '<style type="text/css">
				#login h1 a, .login h1 a {
					background-image: url(' . $logo_url . ');
					width: 90%;
					background-repeat: no-repeat;
					max-width: 280px;
					max-height: 80px;
					background-size: contain;
				}
				#login-message {
					border-left: 4px solid '.get_option('ait_wp_custom_login_primair').';
				}
				#user_login:focus {
					border: 1px solid '.get_option('ait_wp_custom_login_primair').';
				}
				#user_pass:focus {
					border: 1px solid '.get_option('ait_wp_custom_login_primair').';
				}
				#loginform {
					padding: 26px 24px 34px;
					font-weight: 400;
					overflow: hidden;
					background: #fff;
					border: 1px solid '.get_option('ait_wp_custom_login_primair').';
					border-radius: 0px;
					box-shadow: 0 1px 3px rgba(0,0,0,.04);
				}
				#wp-submit {
					background-color: '.get_option('ait_wp_custom_login_primair').';
					color: '.get_option('ait_wp_custom_login_secundair').';
					border: none;
				}
			</style>';
		}
		if (get_option('ait_wp_custom_login_taal') == 'yes') {
			echo '<style type="text/css">
				.language-switcher {
					display: none;
				}
			</style>';
		}
	}
	add_action( 'login_enqueue_scripts', 'wpb_login_logo' );
}


// RPCXML Pingback uitschakelen.
function ait_wp_block_xml( $methods ) {
	unset( $methods['pingback.ping'] );
	unset( $methods['pingback.extensions.getPingbacks'] );
	return $methods;
}
function ait_wp_block_xml_ex() {
	header_remove( 'X-Pingback' );
}
$disxml = get_option( 'ait_wp_disablexml' );
if ($disxml == 'on') {
	add_filter( 'xmlrpc_methods', 'ait_wp_block_xml' );
	add_action( 'wp', 'ait_wp_block_xml_ex', 9999 );
}



// CSS toevoegen aan frontend.
function ait_wp_inc_css () {
    wp_register_style( 'ait_wp_inc_css', plugins_url('/css/ait_wp_style.css', __FILE__), false, '1.0.0', 'all');
}
add_action('init', 'ait_wp_inc_css');
function enqueue_style(){
   wp_enqueue_style( 'ait_wp_inc_css' );
}
add_action('wp_enqueue_scripts', 'enqueue_style');




// Google Maps Embed //
function ait_wp_gmaps_func($atts2 = [], $loc = null, $tag2 = ''){
    $ait_wp_atts2 = shortcode_atts([
	'loc' => get_option('ait_wp_gmaps_default'),
	'w' => get_option('ait_wp_gmaps_breedte'),
	'h' => get_option('ait_wp_gmaps_hoogte'),
	'z' => get_option('ait_wp_gmaps_zoom'),
    ], $atts2, $tag2);
    $o2 = '<div class="ait_wp_gmaps_container">';
    $o2 .= '<div class="ait_wp_gmaps_map">';
	$o2 .= '<iframe width="'.esc_html__($ait_wp_atts2['w'], 'ait-wp').'" height="'.esc_html__($ait_wp_atts2['h'], 'ait-wp').'" id="ait_wp_gmaps_map" src="https://maps.google.com/maps?q='.esc_html__($ait_wp_atts2['loc'], 'ait-wp').'&t=&z='.esc_html__($ait_wp_atts2['z'], 'ait-wp').'&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe>';	
    if (!is_null($loc)) {
    	$o2 .= apply_filters('the_content', $content);
        $o2 .= do_shortcode($content);
    }
    $o2 .= '</div>';
	$o2 .= '</div>';
    return $o2;
}
function ait_wp_gmaps_shortcodes_init(){
	add_shortcode('ait_wp_gmaps', 'ait_wp_gmaps_func');
}
add_action('init', 'ait_wp_gmaps_shortcodes_init');



// Youtube Embed //
function ait_wp_yt_shortcode($atts = [], $vid = null, $tag = ''){
    $ait_wp_atts = shortcode_atts([
    'v' => get_option('ait_wp_yt_video'),
	'w' => get_option('ait_wp_yt_breedte'),
	'h' => get_option('ait_wp_yt_hoogte'),
     ], $atts, $tag);
    $o = '';
    $o .= '<div>';
	$o .= '<iframe src="https://www.youtube-nocookie.com/embed/'.esc_html__($ait_wp_atts['v'], 'ait-wp').'?feature=oembed" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="" width="'.esc_html__($ait_wp_atts['w'], 'ait-wp').'" height="'.esc_html__($ait_wp_atts['h'], 'ait-wp').'" frameborder="0"></iframe>';
    if (!is_null($vid)) {
        $o .= apply_filters('the_content', $content);
        $o .= do_shortcode($content);
    }
    $o .= '</div>';
    return $o;
} 
function ait_wp_yt_shortcodes_init(){
    add_shortcode('ait_wp_yt', 'ait_wp_yt_shortcode');
}
add_action('init', 'ait_wp_yt_shortcodes_init');



// IP-adres weergeven. [ait_wp_ip]
function ait_wp_ip_shortcode(){
	$ip = $_SERVER['REMOTE_ADDR']; 
	return $ip;
}
add_shortcode("ait_wp_ip", "ait_wp_ip_shortcode");



// Simpel contact formulier. [ait_wp_contactform]
if (get_option('ait_wp_contactform') == 'yes') {
	function ait_wp_formulier_code() {
		$sitekey = get_option( 'ait_wp_captchasitekey' );
		echo '
		<form action="' . esc_url( $_SERVER['REQUEST_URI'] ) . '#ait-wp-form" method="post">
		<p>
		Bedrijfsnaam <br />
		<input type="text" name="ldf-bedrijfsnaam" class="aitform_field_large" pattern="[a-zA-Z0-9 ]+" value="' . ( isset( $_POST["ldf-bedrijfsnaam"] ) ? esc_attr( $_POST["ldf-bedrijfsnaam"] ) : '' ) . '"/>
		</p>
		<p>
		Naam <span style="color:red">*</span><br />
		<input type="text" name="ldf-naam" class="aitform_field_large" pattern="[a-zA-Z0-9 ]+" value="' . ( isset( $_POST["ldf-naam"] ) ? esc_attr( $_POST["ldf-naam"] ) : '' ) . '"/>
		</p>
		<p>
		Achternaam <br />
		<input type="text" name="ldf-achternaam" class="aitform_field_large" pattern="[a-zA-Z0-9 ]+" value="' . ( isset( $_POST["ldf-achternaam"] ) ? esc_attr( $_POST["ldf-achternaam"] ) : '' ) . '"/>
		</p>
		<p>
		E-mailadres <span style="color:red">*</span><br />
		<input type="email" name="ldf-email" class="aitform_field_large" value="' . ( isset( $_POST["ldf-email"] ) ? esc_attr( $_POST["ldf-email"] ) : '' ) . '"/>
		</p>
		<p>
		Onderwerp <span style="color:red">*</span><br />
		<input type="text" name="ldf-onderwerp" class="aitform_field_large" pattern="[a-zA-Z ]+" value="' . ( isset( $_POST["ldf-onderwerp"] ) ? esc_attr( $_POST["ldf-onderwerp"] ) : '' ) . '"/>
		</p>
		<p>
		Bericht <span style="color:red">*</span><br />
		<textarea rows="10" cols="35" name="ldf-message">' . ( isset( $_POST["ldf-message"] ) ? esc_attr( $_POST["ldf-message"] ) : '' ) . '</textarea>
		</p>
		<p>
		<div class="g-recaptcha" data-sitekey="'.$sitekey.'"></div>
		</p>
		<p><input type="submit" name="ldf-verzonden" value="Versturen"/></p>
		</form>';
	}
	function mail_versturen() {
		if ( isset( $_POST['ldf-verzonden'] ) ) {
			$ip = $_SERVER['REMOTE_ADDR']; 
			$bedrijfsnaam	= sanitize_text_field( $_POST["ldf-bedrijfsnaam"] );
			$naam 			= sanitize_text_field( $_POST["ldf-naam"] );
			$achternaam 	= sanitize_text_field( $_POST["ldf-achternaam"] );
			$email   		= sanitize_email( $_POST["ldf-email"] );
			$onderwerp 		= sanitize_text_field( $_POST["ldf-onderwerp"] );
			$bericht 		= esc_textarea( $_POST["ldf-message"] );
			$captcha		= $_POST['g-recaptcha-response'];
			$secretKey 		= get_option( 'ait_wp_captchasecretkey' );
			$url 			= 'https://www.google.com/recaptcha/api/siteverify?secret=' . urlencode($secretKey) .  '&response=' . urlencode($captcha);
			$response 		= file_get_contents($url);
			$responseKeys 	= json_decode($response,true);   
			if ( empty( get_option( 'ait_wp_aitform_afzender_email' ))){
				$final_email = sanitize_email( $_POST["ldf-email"] );
				} else {
				$final_email = get_option( 'ait_wp_aitform_afzender_email' );
				}
			if ( empty( get_option( 'ait_wp_aitform_afzender_naam' ))){
				$final_naam = sanitize_text_field( $_POST["ldf-naam"] );
				} else {
				$final_naam = get_option( 'ait_wp_aitform_afzender_naam' );
				}
			if ( empty( get_option( 'ait_wp_aitform_afzender_onderwerp' ))){
				$final_onderwerp = sanitize_text_field( $_POST["ldf-onderwerp"] );
				} else {
				$final_onderwerp = get_option( 'ait_wp_aitform_afzender_onderwerp' );
				}	
			if ( empty( get_option( 'ait_wp_aitform_naar_email' ))){
				$final_naar = get_option( 'admin_email' );
				} else {
				$final_naar = get_option( 'ait_wp_aitform_naar_email' );
				}			
			$headers = "From: ".$final_naam." <$final_email>" . "\r\n";
			$te_verzenden= "
			bedrijfsnaam: $bedrijfsnaam
			naam: $naam
			achternaam: $achternaam
			e-mailadres: $email
	
			onderwerp: $onderwerp
	
			bericht: $bericht
	
			ip-adres verzender: $ip
			"; 
			if (empty($_POST['ldf-naam'])){    
				echo '<div class="ait_wp_aitform_warning>';
				echo '<p><strong>Vul alstublieft uw naam in.</strong></p>';
				echo '</div>';
			}
			else
			if (empty($_POST['ldf-email'])){    
				echo '<div class="ait_wp_aitform_warning>';
				echo '<p><strong>Vul alstublieft uw e-mailadres in.</strong></p>';
				echo '</div>';
			}
			else
			if (empty($_POST['ldf-onderwerp'])){    
				echo '<div class="ait_wp_aitform_warning>';
				echo '<p><strong>Vul alstublieft het onderwerp in.</strong></p>';
				echo '</div>';
			}
			else
			if (empty($_POST['ldf-message'])){    
				echo '<div class="ait_wp_aitform_warning>';
				echo '<p><strong>Vul alstublieft een bericht in.</strong></p>';
				echo '</div>';
			}
			else
			if(!$captcha){
				echo '<div class="ait_wp_aitform_warning>';
				echo '<p><strong>Controleer de captcha.</strong></p>';
				echo '</div>';
			} 
			else
			if($responseKeys["success"]) {
				wp_mail( $final_naar, $final_onderwerp, $te_verzenden, $headers );
					echo '<div class="ait_wp_aitform_success>';
					echo '<p>Bedankt voor uw bericht, wij zullen zo spoedig mogelijk reageren.</p>';
					echo '</div>';
			} else {
				echo '<div class="ait_wp_aitform_warning><p>Er is een fout opgetreden tijdens het verzenden van uw bericht, probeer het later nogmaals.</p></div>';
			}
		}
	}
	function ldf_shortcode() {
		ob_start();
		mail_versturen();
		ait_wp_formulier_code();
		return ob_get_clean();
	}
	add_shortcode( 'ait_wp_contactform', 'ldf_shortcode' );
}



// Openingstijden weergave en shortcode. [ait_wp_openingstijden]
if (get_option('ait_wp_openinghours') == 'yes') {
	function ait_wp_openingstijden_handler() {
		echo '<div class="ait_wp_tabbed_text_wrap">';
		echo '<span class="ait_wp_tabbed_text">Maandag:</span>';
		if (get_option('ait_wp_otijd_ma_open')){
			echo ''.get_option('ait_wp_otijd_ma_open').' - '.get_option('ait_wp_otijd_ma_dicht').'';
		} else {
			echo 'gesloten';
		}
		echo '&nbsp;'.get_option('ait_wp_otijd_ma_note').'<br>';
		echo '<span class="ait_wp_tabbed_text">Dinsdag:</span>';
		if (get_option('ait_wp_otijd_di_open')){
			echo ''.get_option('ait_wp_otijd_di_open').' - '.get_option('ait_wp_otijd_di_dicht').'';
		} else {
			echo 'gesloten';
		}
		echo '&nbsp;'.get_option('ait_wp_otijd_di_note').'<br>';
		echo '<span class="ait_wp_tabbed_text">Woensdag:</span>';
		if (get_option('ait_wp_otijd_wo_open')){
			echo ''.get_option('ait_wp_otijd_wo_open').' - '.get_option('ait_wp_otijd_wo_dicht').'';
			} else {
			echo 'gesloten';
			}
		echo '&nbsp;'.get_option('ait_wp_otijd_wo_note').'<br>';
		echo '<span class="ait_wp_tabbed_text">Donderdag:</span>';
		if (get_option('ait_wp_otijd_do_open')){
			echo ''.get_option('ait_wp_otijd_do_open').' - '.get_option('ait_wp_otijd_do_dicht').'';
			} else {
			echo 'gesloten';
			}
		echo '&nbsp;'.get_option('ait_wp_otijd_do_note').'<br>';
		echo '<span class="ait_wp_tabbed_text">Vrijdag:</span>';
		if (get_option('ait_wp_otijd_vr_open')){
			echo ''.get_option('ait_wp_otijd_vr_open').' - '.get_option('ait_wp_otijd_vr_dicht').'';
			} else {
			echo 'gesloten';
			}
		echo '&nbsp;'.get_option('ait_wp_otijd_vr_note').'<br>';
		echo '<span class="ait_wp_tabbed_text">Zaterdag:</span>';
		if (get_option('ait_wp_otijd_za_open')){
			echo ''.get_option('ait_wp_otijd_za_open').' - '.get_option('ait_wp_otijd_za_dicht').'';
			} else {
			echo 'gesloten';
			}
		echo '&nbsp;'.get_option('ait_wp_otijd_za_note').'<br>';
		echo '<span class="ait_wp_tabbed_text">Zondag:</span>';
		if (get_option('ait_wp_otijd_zo_open')){
			echo ''.get_option('ait_wp_otijd_zo_open').' - '.get_option('ait_wp_otijd_zo_dicht').'';
			} else {
			echo 'gesloten';
			}
		echo '&nbsp;'.get_option('ait_wp_otijd_zo_note').'<br>';
		echo '</div>';
	}
	function ait_wp_openingstijden_shortcode() {
		ob_start();
		ait_wp_openingstijden_handler();
		return ob_get_clean();
	}
	add_shortcode( 'ait_wp_openingstijden', 'ait_wp_openingstijden_shortcode' );
}



// Promotion Top Bar Sticky.
if ((get_option('ait_wp_promobar_enabled') == 'yes') && (get_option('ait_wp_onderhoud_sw') == 'no')) {
	function ait_wp_sticky_promo_bar() {
		$ait_wp_promo_enabled = get_option('ait_wp_promobar_enabled');
		$bgcolor = get_option('ait_wp_promobar_bgcolor');
		$textcolor = get_option('ait_wp_promobar_textcolor');
		$hoogte = get_option('ait_wp_promobar_height');
		$barcontent = get_option('ait_wp_promobar_content');
		if ($ait_wp_promo_enabled == "yes") {
			echo '<style type="text/css">
			.ait_wp_promo_bar_content a:link {
			color: '.$textcolor.';
			text-decoration: none;
			text-decoration-color: '.$textcolor.';
			-moz-text-decoration-color: '.$textcolor.';
			}
			.ait_wp_promo_bar_content a:visited {
			text-decoration: none;
			color: '.$textcolor.';
			text-decoration-color: '.$textcolor.';
			-moz-text-decoration-color: '.$textcolor.';
			}
			.ait_wp_promo_bar_content a:hover {
			text-decoration: underline;
			color: '.$textcolor.';
			text-decoration-color: '.$textcolor.';
			-moz-text-decoration-color: '.$textcolor.';
			}
			.ait_wp_promo_bar_content a:active {
			text-decoration: none;
			color: '.$textcolor.';
			text-decoration-color: '.$textcolor.';
			-moz-text-decoration-color: '.$textcolor.';
			}
			.ait_wp_promo_bar_spacer {
			position: static;
			top: 0;
			height: '.$hoogte.'px;
			}
			.ait_wp_promo_bar_container {
			z-index: 998;
			position: fixed;
			top: 0;
			background-color: '.$bgcolor.';
			align-content: center;
			text-align: center;
			vertical-align: middle;
			width: 100%;
			height: '.$hoogte.'px;
			padding: 5px;
			}
			.ait_wp_promo_bar_content {
			z-index: 999;
			position: relative;
			top: 50%;
			transform: translateY(-50%);
			-webkit-transform: translateY(-50%);
			color: '.$textcolor.'; 
			text-decoration-color: '.$textcolor.';
			-moz-text-decoration-color: '.$textcolor.';
			}
			</style>
			<div class="ait_wp_promo_bar_spacer"></div>
			<div class=ait_wp_promo_bar_container><div class="ait_wp_promo_bar_content">'.$barcontent.'</div></div>';
		} else {
			echo '';
		}
	}
	add_action( 'wp_body_open','ait_wp_sticky_promo_bar' );
}



// HTTP Socket voor Directadmin.
class HTTPSocket {
	var $version = '3.0.4';
	var $method = 'GET';
	var $remote_host;
	var $remote_port;
	var $remote_uname;
	var $remote_passwd;
	var $result;
	var $result_header;
	var $result_body;
	var $result_status_code;
	var $lastTransferSpeed;
	var $bind_host;
	var $error = array();
	var $warn = array();
	var $query_cache = array();
	var $doFollowLocationHeader = TRUE;
	var $redirectURL;
	var $max_redirects = 5;
	var $ssl_setting_message = 'Error 1337.';
	var $extra_headers = array();
	var $proxy = false;
	var $proxy_headers = array();
	function connect($host, $port = '' )
	{
		if (!is_numeric($port))
		{
			$port = 80;
		}
		$this->remote_host = $host;
		$this->remote_port = $port;
	}
	function bind( $ip = '' )
	{
		if ( $ip == '' )
		{
			$ip = $_SERVER['SERVER_ADDR'];
		}
		$this->bind_host = $ip;
	}
	function set_method( $method = 'GET' )
	{
		$this->method = strtoupper($method);
	}
	function set_login( $uname = '', $passwd = '' )
	{
		if ( strlen($uname) > 0 )
		{
			$this->remote_uname = $uname;
		}

		if ( strlen($passwd) > 0 )
		{
			$this->remote_passwd = $passwd;
		}
	}
	private function stream_chunk($ch, $data)
	{
		echo($data);
		return strlen($data);
	}
	private function stream_header($ch, $data)
	{
		if (!preg_match('/^HTTP/i', $data))
		{
			header($data);
		}
		return strlen($data);
	}
	function query( $request, $content = '', $doSpeedCheck = 0 )
	{
		$this->error = $this->warn = array();
		$this->result_status_code = NULL;
		$is_ssl = FALSE;
		if (preg_match('!^http://!i',$request) || preg_match('!^https://!i',$request))
		{
			$location = parse_url($request);
			if (preg_match('!^https://!i',$request))
			{
				$this->connect('https://'.$location['host'],$location['port']);
			}
			else
				$this->connect('http://'.$location['host'],$location['port']);
			$this->set_login($location['user'],$location['pass']);
			$request = $location['path'];
			$content = $location['query'];
			if ( strlen($request) < 1 )
			{
				$request = '/';
			}
		}
		if (preg_match('!^ssl://!i', $this->remote_host))
			$this->remote_host = 'https://'.substr($this->remote_host, 6);
		if (preg_match('!^tcp://!i', $this->remote_host))
			$this->remote_host = 'http://'.substr($this->remote_host, 6);
		if (preg_match('!^https://!i', $this->remote_host))
			$is_ssl = TRUE;
		$array_headers = array(
			'Host' => ( $this->remote_port == 80 ? $this->remote_host : "$this->remote_host:$this->remote_port" ),
			'Accept' => '*/*',
			'Connection' => 'Close' );
		foreach ( $this->extra_headers as $key => $value )
		{
			$array_headers[$key] = $value;
		}
		$this->result = $this->result_header = $this->result_body = '';
		if (is_array($content))
		{
			$pairs = array();
			foreach ( $content as $key => $value )
			{
				$pairs[] = "$key=".urlencode($value);
			}

			$content = join('&',$pairs);
			unset($pairs);
		}
		$OK = TRUE;
		if ($this->method == 'GET' && isset($content) && $content != '')
			$request .= '?'.$content;
		$ch = curl_init($this->remote_host.':'.$this->remote_port.$request);
		if ($is_ssl)
		{
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); //1
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false); //2
		}
		curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
		curl_setopt($ch, CURLOPT_USERAGENT, "HTTPSocket/$this->version");
		curl_setopt($ch, CURLOPT_FORBID_REUSE, 1);
		curl_setopt($ch, CURLOPT_TIMEOUT, 100);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
		curl_setopt($ch, CURLOPT_HEADER, 1);
		if ($this->proxy)
		{
			curl_setopt($ch, CURLOPT_RETURNTRANSFER,false);
			curl_setopt($ch, CURLOPT_HEADER,	false);
			curl_setopt($ch, CURLINFO_HEADER_OUT,	false);
			curl_setopt($ch, CURLOPT_BUFFERSIZE, 8192); // 8192
			curl_setopt($ch, CURLOPT_WRITEFUNCTION,  array($this, "stream_chunk"));
			curl_setopt($ch, CURLOPT_HEADERFUNCTION, array($this, "stream_header"));
		}
		curl_setopt($ch, CURLOPT_LOW_SPEED_LIMIT, 512);
		curl_setopt($ch, CURLOPT_LOW_SPEED_TIME, 120);
		if ($this->bind_host)
		{
			curl_setopt($ch, CURLOPT_INTERFACE, $this->bind_host);
		}
		if ( isset($this->remote_uname) && isset($this->remote_passwd) )
		{
			curl_setopt($ch, CURLOPT_USERPWD, $this->remote_uname.':'.$this->remote_passwd);
		}
		if ( isset($this->remote_uname) && $this->remote_passwd == NULL )
		{
			curl_setopt($ch, CURLOPT_COOKIE, "session={$_SERVER['SESSION_ID']}; key={$_SERVER['SESSION_KEY']}");
		}
		if ( $this->method == 'POST' )
		{
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $content);
			$array_headers['Content-length'] = strlen($content);
		}
		curl_setopt($ch, CURLOPT_HTTPHEADER, $array_headers);
		if( !($this->result = curl_exec($ch)) )
		{
			$this->error[] .= curl_error($ch);
			$OK = FALSE;
		}
		$header_size			= curl_getinfo($ch, CURLINFO_HEADER_SIZE);
		$this->result_header	= substr($this->result, 0, $header_size);
		$this->result_body		= substr($this->result, $header_size);
		$this->result_status_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		$this->lastTransferSpeed = curl_getinfo($ch, CURLINFO_SPEED_DOWNLOAD) / 1024;
		curl_close($ch);
		$this->query_cache[] = $this->remote_host.':'.$this->remote_port.$request;
		$headers = $this->fetch_header();
		if ( !empty($headers['content-length']) && $headers['content-length'] != strlen($this->result_body) )
		{
			$this->result_status_code = 206;
		}
		if ($this->doFollowLocationHeader)
		{
			if (isset($headers['x-use-https']) && $headers['x-use-https']=='yes')
				die($this->ssl_setting_message);

			if (isset($headers['location']))
			{
				if ($this->max_redirects <= 0)
					die("Too many redirects on: ".$headers['location']);

				$this->max_redirects--;
				$this->redirectURL = $headers['location'];
				$this->query($headers['location']);
			}
		}
	}
	function getTransferSpeed()
	{
		return $this->lastTransferSpeed;
	}
	function get($location, $asArray = FALSE )
	{
		$this->query($location);

		if ( $this->get_status_code() == 200 )
		{
			if ($asArray)
			{
				return preg_split("/\n/",$this->fetch_body());
			}

			return $this->fetch_body();
		}

		return FALSE;
	}
	function get_status_code()
	{
		return $this->result_status_code;
	}
	function add_header($key,$value)
	{
		$this->extra_headers[$key] = $value;
	}
	function clear_headers()
	{
		$this->extra_headers = array();
	}
	function fetch_result()
	{
		return $this->result;
	}
	function fetch_header( $header = '' )
	{
		if ($this->proxy)
			return $this->proxy_headers;
		$array_headers = preg_split("/\r\n/",$this->result_header);
		$array_return = array( 0 => $array_headers[0] );
		unset($array_headers[0]);
		foreach ( $array_headers as $pair )
		{
			if ($pair == '' || $pair == "\r\n") continue;
			list($key,$value) = preg_split("/: /",$pair,2);
			$array_return[strtolower($key)] = $value;
		}

		if ( $header != '' )
		{
			return $array_return[strtolower($header)];
		}

		return $array_return;
	}
	function fetch_body()
	{
		return $this->result_body;
	}
	function fetch_parsed_body()
	{
		parse_str($this->result_body,$x);
		return $x;
	}
	function set_ssl_setting_message($str)
	{
		$this->ssl_setting_message = $str;
	}
}

$aitwp = new AITWP();
class ReplaceCategoryImages {
	private $let_category_image_override = true;
	private $randomize_category_image_from_products = true;
	public function __construct() {
		// Unhooking core's and hooking our custom thumbnail
		add_action( 'plugins_loaded', array( $this, 'overrides' ) );
		add_action( 'woocommerce_before_subcategory_title', array( $this, 'add_product_image_as_woocommerce_subcategory_thumbnail' ) );
	}
	public function overrides() {
		remove_action( 'woocommerce_before_subcategory_title', 'woocommerce_subcategory_thumbnail', 10 );
	}
	public function add_product_image_as_woocommerce_subcategory_thumbnail( $category ) {
		if ( $this->let_category_image_override ) {
			if ( get_woocommerce_term_meta( $category->term_id, 'thumbnail_id', true ) ) {
				woocommerce_subcategory_thumbnail( $category );
				return;
			}
		}
		$query_args = array(
			'posts_per_page' => $this->randomize_category_image_from_products ? 10 : 1,
			'post_status' => 'publish',
			'post_type' => 'product',
			'tax_query' => array(
				array(
					'taxonomy' => 'product_cat',
					'field' => 'id',
					'terms' => $category->term_id
				)
			)
		);
		$products = get_posts( $query_args );
		if ( $products ) {
        $thumbnail = get_the_post_thumbnail( $products[ array_rand( $products ) ]->ID, 'shop_thumbnail' );
        $css = 'style="max-width: 300px!important; max-height: 200px!important;"';
        $thumbnail_with_css = preg_replace('/<img(.*)>/', '<img$1 ' . $css . '>', $thumbnail);
        echo $thumbnail_with_css;
    }
	}
}
?>
<?php
$folder = plugin_dir_path( __FILE__ );
if (file_exists(''.$folder.'addon.php')) {
	include_once (''.$folder.'addon.php'); 
}
?>