<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {		
		update_option( 'ait_wp_insert_header', $_REQUEST['ait_wp_insert_header'] );
	    update_option( 'ait_wp_insert_footer', $_REQUEST['ait_wp_insert_footer'] );
		update_option( 'ait_wp_insert_body', isset( $_REQUEST['ait_wp_insert_body'] ) ? $_REQUEST['ait_wp_insert_body'] : '' );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
$this->settings = array(
	'ait_wp_insert_header' => esc_html( wp_unslash( get_option( 'ait_wp_insert_header' ) ) ),
	'ait_wp_insert_footer' => esc_html( wp_unslash( get_option( 'ait_wp_insert_footer' ) ) ),
	'ait_wp_insert_body' => esc_html( wp_unslash( get_option( 'ait_wp_insert_body' ) ) ),
);
?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Scripts voor in de "header"</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
		            <textarea name="ait_wp_insert_header" id="ait_wp_insert_header" class="widefat" rows="15"><?php echo $this->settings['ait_wp_insert_header']; ?></textarea>
					<?php
					printf(
						esc_html__( 'Deze scripts worden geplaatst in de %s sectie.', 'ait-wp' ),
						'<code>&lt;head&gt;</code>'
					);
					?>
		        </p>
			</td>
		</tr>
	</tbody>
</table>
<br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Scripts voor in de "body"</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
					<?php if ( $this->body_open_supported ) : ?>
				<p>
					<textarea name="ait_wp_insert_body" id="ait_wp_insert_body" class="widefat" rows="15"><?php echo $this->settings['ait_wp_insert_body']; ?></textarea>
					<?php
						printf(
						esc_html__( 'Deze scripts komen onder de %s tag.', 'ait-wp' ),
						'<code>&lt;body&gt;</code>'
					);
					?>
				</p>
					<?php endif; ?>
			</td>
		</tr>
	</tbody>
</table>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Scripts voor in de "footer"</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					<textarea name="ait_wp_insert_footer" id="ait_wp_insert_footer" class="widefat" rows="15"><?php echo $this->settings['ait_wp_insert_footer']; ?></textarea>
					<?php
						printf(
						esc_html__( 'Deze scripts komen boven de %s tag.', 'ait-wp' ),
						'<code>&lt;/body&gt;</code>'
					);
					?>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>