<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {			
		update_option( 'ait_wp_captchasitekey', $_REQUEST['ait_wp_captchasitekey'] );
		update_option( 'ait_wp_captchasecretkey', $_REQUEST['ait_wp_captchasecretkey'] );
		update_option( 'ait_wp_aitform_afzender_email', $_REQUEST['ait_wp_aitform_afzender_email'] );
		update_option( 'ait_wp_aitform_afzender_naam', $_REQUEST['ait_wp_aitform_afzender_naam'] );
		update_option( 'ait_wp_aitform_afzender_onderwerp', $_REQUEST['ait_wp_aitform_afzender_onderwerp'] );
		update_option( 'ait_wp_aitform_naar_email', $_REQUEST['ait_wp_aitform_naar_email'] );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
$this->settings = array(
	'ait_wp_captchasitekey' => esc_html( wp_unslash( get_option( 'ait_wp_captchasitekey' ) ) ),
	'ait_wp_captchasecretkey' => esc_html( wp_unslash( get_option( 'ait_wp_captchasecretkey' ) ) ),
	'ait_wp_aitform_afzender_email' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_afzender_email' ) ) ),
	'ait_wp_aitform_afzender_naam' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_afzender_naam' ) ) ),
	'ait_wp_aitform_afzender_onderwerp' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_afzender_onderwerp' ) ) ),
	'ait_wp_aitform_naar_email' => esc_html( wp_unslash( get_option( 'ait_wp_aitform_naar_email' ) ) ),
	'ait_wp_contactform' => esc_html( wp_unslash( get_option( 'ait_wp_contactform' ) ) ),
);
?>
<?php if($this->settings['ait_wp_contactform'] == 'yes'){}else{die ("Functie Uitgeschakeld");}?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Contactformulier instellingen [ait_wp_contactform]</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					Deze instellingen zijn van toepassing op de e-mail die u zelf ontvangt nadat de bezoeker het formulier invult.
				</p>
				<p>
					<label for="ait_wp_aitform_afzender_naam"><strong><?php esc_html_e( 'Afzender naam:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_aitform_afzender_naam" id="ait_wp_aitform_afzender_naam" class="widefat" value="<?php echo $this->settings['ait_wp_aitform_afzender_naam']; ?>">
					<?php esc_html_e('Dit is de afzender van het verzonden bericht, leeg laten voor de naam van de bezoeker', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_aitform_afzender_email"><strong><?php esc_html_e( 'Afzender e-mailadres:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_aitform_afzender_email" id="ait_wp_aitform_afzender_email" class="widefat" value="<?php echo $this->settings['ait_wp_aitform_afzender_email']; ?>">
					<?php esc_html_e('Dit is het e-mailadres van de afzender, leeg laten voor het e-mailadres van de bezoeker.', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_aitform_afzender_onderwerp"><strong><?php esc_html_e( 'Onderwerp:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_aitform_afzender_onderwerp" id="ait_wp_aitform_afzender_onderwerp" class="widefat" value="<?php echo $this->settings['ait_wp_aitform_afzender_onderwerp']; ?>">
					<?php esc_html_e('Hier kunt u het onderwerp van de e-mail invullen, leeg laten voor het onderwerp van de bezoeker.', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_aitform_naar_email"><strong><?php esc_html_e( 'Naar e-mail:', 'ait-wp' ); ?></strong></label>
					<input type="text" name="ait_wp_aitform_naar_email" id="ait_wp_aitform_naar_email" class="widefat" value="<?php echo $this->settings['ait_wp_aitform_naar_email']; ?>">
					<?php esc_html_e('Naar welk e-mailadres moeten de ingevulde formulieren worden gestuurd? leeg laten voor het "admin" adres van Wordpress', 'ait-wp'); ?>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
<td width="50%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Google reCAPTCHA V2</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
					<label for="ait_wp_captchasitekey"><strong><?php esc_html_e( 'Sitesleutel - Google reCAPTCHA V2', 'ait-wp' ); ?></strong></label>
					<input type="password" name="ait_wp_captchasitekey" id="ait_wp_captchasitekey" class="widefat" value="<?php echo $this->settings['ait_wp_captchasitekey']; ?>">
				</p>
				<p>
					<label for="ait_wp_captchasecretkey"><strong><?php esc_html_e( 'Geheime sleutel - Google reCAPTCHA V2', 'ait-wp' ); ?></strong></label>
					<input type="password" name="ait_wp_captchasecretkey" id="ait_wp_captchaecretkey" class="widefat" value="<?php echo $this->settings['ait_wp_captchasecretkey']; ?>">
					<?php _e('Om uw formulier te beveiligen tegen spam heeft u een sitesleutel en geheime sleutel nodig van Google reCAPTCHA. U kunt deze sleutels aanvragen via Google <a href="https://www.google.com/recaptcha/about/" target="_blank">klik hier</a>.', 'ait-wp'); ?>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>