<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'ait-wp' );
    } 
	else {			
		update_option( 'ait_wp_yt_video', $_REQUEST['ait_wp_yt_video'] );
		update_option( 'ait_wp_yt_hoogte', $_REQUEST['ait_wp_yt_hoogte'] );
		update_option( 'ait_wp_yt_breedte', $_REQUEST['ait_wp_yt_breedte'] );
		update_option( 'ait_wp_gmaps_default', $_REQUEST['ait_wp_gmaps_default'] );
		update_option( 'ait_wp_gmaps_hoogte', $_REQUEST['ait_wp_gmaps_hoogte'] );
		update_option( 'ait_wp_gmaps_breedte', $_REQUEST['ait_wp_gmaps_breedte'] );
		update_option( 'ait_wp_gmaps_zoom', $_REQUEST['ait_wp_gmaps_zoom'] );
		$this->message = __( 'Instellingen opgeslagen.', 'ait-wp' );
	}
}
$this->settings = array(
	'ait_wp_yt_video' => esc_html( wp_unslash( get_option( 'ait_wp_yt_video' ) ) ),
	'ait_wp_yt_hoogte' => esc_html( wp_unslash( get_option( 'ait_wp_yt_hoogte' ) ) ),
	'ait_wp_yt_breedte' => esc_html( wp_unslash( get_option( 'ait_wp_yt_breedte' ) ) ),
	'ait_wp_gmaps_default' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_default' ) ) ),
	'ait_wp_gmaps_hoogte' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_hoogte' ) ) ),
	'ait_wp_gmaps_breedte' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_breedte' ) ) ),
	'ait_wp_gmaps_zoom' => esc_html( wp_unslash( get_option( 'ait_wp_gmaps_zoom' ) ) ),
);
?>
<?php
    if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table width="100%">
<tr>
<td width="70%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Youtube video insluiten (No Cookies) [ait_wp_yt]</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="75%" height="100%" valign="top">
				<p>
					<img src="<?php echo $this->plugin->url;?>res/video-id.png"><br><br>
					<label for="ait_wp_yt_video"><strong><?php esc_html_e( 'Standaard video:', 'ait-wp' ); ?></strong></label>
		    		<input type="text" name="ait_wp_yt_video" id="ait_wp_yt_video" class="widefat" value="<?php echo $this->settings['ait_wp_yt_video']; ?>">
					<?php esc_html_e('De standaard video als deze niet is gedefinieerd in de shortcode. [ait_wp_yt]', 'ait-wp'); ?>
				</p>
				<p>
				    <label for="ait_wp_yt_breedte"><strong><?php esc_html_e( 'Standaard breedte:', 'ait-wp' ); ?></strong></label>
				    <input type="text" name="ait_wp_yt_breedte" id="ait_wp_yt_breedte" class="widefat" value="<?php echo $this->settings['ait_wp_yt_breedte']; ?>">
					<?php esc_html_e('De standaard breedte van de Youtube video in pixels of procent bijv. 640px of 75%', 'ait-wp'); ?>
				</p>
				<p>
				    <label for="ait_wp_yt_hoogte"><strong><?php esc_html_e( 'Standaard hoogte:', 'ait-wp' ); ?></strong></label>
				    <input type="text" name="ait_wp_yt_hoogte" id="ait_wp_yt_hoogte" class="widefat" value="<?php echo $this->settings['ait_wp_yt_hoogte']; ?>">
					<?php esc_html_e('De standaard hoogte van de Youtube video in pixels of procent bijv. 480px of 50%.', 'ait-wp'); ?>
				</p>
			</td>
			<td width="25%" height="100%" valign="middle" align="center">
				<img src="<?php echo $this->plugin->url;?>res/logo-yt.png"><br>
				<p class="ait_wp_admin_info" align="left">Als u een andere video wilt insluiten naast de standaard video, dan kunt u deze als variabele toevoegen aan uw shortcode. Bijvoorbeeld:<br>
				[ait_wp_yt v=sT8WETDkJ4w]<br><br>
				v= video id van de youtube video.<br>
				w= breedte<br>
				h= hoogte
				</p>
			</td>
		</tr>
	</tbody>
</table>
<br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Google Maps Embed [ait_wp_gmap]</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="75%" height="100%" valign="top">
				<p>
		        	<label for="ait_wp_gmaps_default"><strong><?php esc_html_e( 'Standaard locatie (Bedrijfsnaam op Google,Plaats):', 'ait-wp' ); ?></strong></label>
		            <input type="text" name="ait_wp_gmaps_default" id="ait_wp_gmaps_default" class="widefat" value="<?php echo $this->settings['ait_wp_gmaps_default']; ?>">
					<?php esc_html_e('De standaard locatie als deze niet is gedefinieerd in de shortcode.', 'ait-wp'); ?>
				</p>
				<p>
		           	<label for="ait_wp_gmaps_breedte"><strong><?php esc_html_e( 'Standaard breedte:', 'ait-wp' ); ?></strong></label>
		           	<input type="text" name="ait_wp_gmaps_breedte" id="ait_wp_gmaps_breedte" class="widefat" value="<?php echo $this->settings['ait_wp_gmaps_breedte']; ?>">
					<?php esc_html_e('De standaard breedte van de kaart in pixels of procent bijv. 640px of 75%.', 'ait-wp'); ?>
				</p>
				<p>
		          	<label for="ait_wp_gmaps_hoogte"><strong><?php esc_html_e( 'Standaard hoogte:', 'ait-wp' ); ?></strong></label>
		           	<input type="text" name="ait_wp_gmaps_hoogte" id="ait_wp_gmaps_hoogte" class="widefat" value="<?php echo $this->settings['ait_wp_gmaps_hoogte']; ?>">
					<?php esc_html_e('De standaard hoogte van de kaart in pixels of procent bijv. 480px of 50%.', 'ait-wp'); ?>
				</p>
				<p>
					<label for="ait_wp_gmaps_zoom"><strong><?php esc_html_e( 'Standaard zoom:', 'ait-wp' ); ?> <output id="range_weight_disp"></output></strong> (aanbevolen: 10-13)</label><br>
		            <input type="range" name="ait_wp_gmaps_zoom" id="ait_wp_gmaps_zoom" class="widefat" value="<?php echo $this->settings['ait_wp_gmaps_zoom']; ?>" min="5" max="20" oninput="range_weight_disp.value = ait_wp_gmaps_zoom.value">
					<?php esc_html_e('Zoom level tussen de 5 - 20.', 'ait-wp'); ?>
				</p>
							
			</td>
			<td width="25%" height="100%" valign="middle" align="center">
				<img src="<?php echo $this->plugin->url;?>res/logo-gmaps.png"><br>
				<p class="ait_wp_admin_info" align="left">U kunt een tweede (of meer) kaart(en) toevoegen door deze als variabele toevoegen aan uw shortcode. Bijvoorbeeld:<br>
				[ait_wp_gmap loc=Bedrijfsnaam,Plaats]<br><br>
				loc= locatie zoals op google maps<br>
				w= breedte<br>
				h= hoogte<br>
				z= zoomlevel (5-20)
				</p>
			</td>
		</tr>
	</tbody>
</table>
<td width="30%" height="100%" valign="top">
<table class="widefat">
	<thead>
		<tr>
			<th><strong>IP-Adres weergeven [ait_wp_ip]</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td height="100%" valign="top">
				<p>
		        	Met deze shortcode kunt u het ip-adres van de bezoeker weergeven op uw website.
				</p>			
			</td>
		</tr>
	</tbody>
</table>
</td>
</tr>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<div class="opslaanknop-wrap">
<input type="submit" name="submit" class="opslaanknop" value="<?php esc_attr_e( 'Wijzigingen Opslaan', 'ait-wp' ); ?>" />
</div>